package com.sky.ioc.entity.domain.system;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

@Data
public class Users {

    @TableId(type = IdType.AUTO)
    @ExcelProperty("ID")
    private Integer id;
    /** 用户名 */
    @ExcelProperty("用户名")
    private String user_name;
    /** 密码 */
    @ExcelIgnore
    private String password;
    /** 头像 */
    @ExcelIgnore
    private String photograph;
    /** 昵称 */
    @ExcelProperty("昵称")
    private String name;
    /** 手机号 */
    @ExcelProperty("手机号")
    private String phone;
    /** 邮箱 */
    @ExcelProperty("邮箱")
    private String email;
    /** 单位ID */
    @ExcelIgnore
    private String company;
    /** 部门ID */
    @ExcelIgnore
    private String department;
    /** 在职状态 0-在职 */
    @ExcelIgnore
    private String on_job_status;
    @ExcelIgnore
    private String duty;
    /** 账户状态 0-在职 */
    @ExcelIgnore
    private String account_status;
    @ExcelIgnore
    private String nationality;
    /** 创建时间 */
    @ExcelIgnore
    private String register_time;
    /**
     * 常用功能ID，例如 1,5,6
     */
    @ExcelIgnore
    private  String common_menus;
    @ExcelIgnore
    private String role;
    @ExcelIgnore
    private String permission;
}
