package com.sky.ioc.service.user;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.domain.system.Users;
import com.sky.ioc.tool.ReturnMsg;

import javax.servlet.http.HttpServletResponse;

public interface UserService {

    JSONObject login(String username, String password);

    ReturnMsg addUser(Users users);

    ReturnMsg getUserDetail(String id);

    ReturnMsg updUser(Users users);

    ReturnMsg deleteUserById(String id);

    ReturnMsg batchDeleteUserById(String ids);
    ReturnMsg getUserList(String status, String filter, String page, String pageSize);

    ReturnMsg updateUserStatus(String id, String status);

    ReturnMsg batchModifyStatus(String ids, String status);

    ReturnMsg batchModifyUserRole(String usersId, String roleId);

    void exportData(HttpServletResponse response);

    ReturnMsg getUserListByRole(String roleId, String page, String pageSize);

}
